Device Network Settings

This endpoint is used to get the network settings of the specified device.

Response Payload Object

PropertyTypeDescription
defaultGatewaystringThe default gateway that the device will use to connect to the network. (Only used when the IP mode is set to false)
ipAddressstringThe IP address the device has on the current network.
ipModeintegerWhether or not the device should automatically handle its network connection settings. The values will either be 0 for static or 1 for DHCP.
netmaskstringThe netmask that the device will use to connect to the network. (Only used when the IP mode is set to false)
dnsServerstringThe DNS server that the device will use to connect to the network. (Only used when the IP mode is set to false)

Controlled Errors

Error CodeError Message
error_device_network_setting_not_foundNo device settings were found.

Any status codes returned that are not provided here are generic status codes that can be found here.

Path Params
string
required

The serial number of the device.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain